%define		realname   libxml2
Summary:	libXML library - cross MinGW32 version
Summary(pl.UTF-8):	Biblioteka libXML wersja 2 - wersja skrośna dla MinGW32
Name:		crossmingw32-%{realname}
Version:	2.9.1
Release:	2
License:	MIT
Group:		Development/Libraries
#Source0:	http://ftp.gnome.org/pub/GNOME/sources/libxml2/2.6/%{name}-%{version}.tar.bz2
Source0:	ftp://xmlsoft.org/libxml2/%{realname}-%{version}.tar.gz
# Source0-md5:	9c0cfef285d5c4a5c80d00904ddab380
Patch0:		%{realname}-man_fixes.patch
Patch1:		%{realname}-open.gz.patch
Patch2:		%{realname}-largefile.patch
URL:		http://xmlsoft.org/
BuildRequires:	autoconf >= 2.68
BuildRequires:	automake >= 1.4
BuildRequires:	crossmingw32-gcc
BuildRequires:	crossmingw32-zlib >= 1.2.4-3
BuildRequires:	libtool >= 2:2.0
BuildRequires:	sed >= 4.0
Requires:	crossmingw32-zlib >= 1.2.4-3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		no_install_post_strip	1

%define		target			i386-mingw32
%define		target_platform 	i386-pc-mingw32

%define		_sysprefix		/usr
%define		_prefix			%{_sysprefix}/%{target}
%define		_libdir			%{_prefix}/lib
%define		_pkgconfigdir		%{_prefix}/lib/pkgconfig
%define		_dlldir			/usr/share/wine/windows/system
%define		__cc			%{target}-gcc
%define		__cxx			%{target}-g++
%define		__pkgconfig_provides	%{nil}
%define		__pkgconfig_requires	%{nil}

%ifnarch %{ix86}
# arch-specific flags (like alpha's -mieee) are not valid for i386 gcc
%define		optflags	-O2
%endif
# -z options are invalid for mingw linker, most of -f options are Linux-specific
%define		filterout_ld	-Wl,--as-needed -Wl,-z,relro -Wl,-z,combreloc
%define		filterout_c	-f[-a-z0-9=]*

%description
This library allows you to manipulate XML files.

This package contains the cross version for Win32.

%description -l pl.UTF-8
Biblioteka libxml2 umożliwia manipulowanie zawartością plików XML.

Ten pakiet zawiera wersję skrośną dla Win32.

%package static
Summary:	Static libxml2 library (cross MinGW32 version)
Summary(pl.UTF-8):	Statyczna biblioteka libxml2 (wersja skrośna MinGW32)
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description static
Static libxml2 library (cross MinGW32 version).

%description static -l pl.UTF-8
Statyczna biblioteka libxml2 (wersja skrośna MinGW32).

%package dll
Summary:	DLL libxml2 library for Windows
Summary(pl.UTF-8):	Biblioteka DLL libxml2 dla Windows
Group:		Applications/Emulators
Requires:	crossmingw32-zlib-dll >= 1.2.4-3
Requires:	wine

%description dll
DLL libxml2 library for Windows.

%description dll -l pl.UTF-8
Biblioteka DLL libxml2 dla Windows.

%prep
%setup -q -n %{realname}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--target=%{target} \
	--host=%{target} \
	--disable-silent-rules \
	--without-python

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_dlldir}
mv -f $RPM_BUILD_ROOT%{_prefix}/bin/*.dll $RPM_BUILD_ROOT%{_dlldir}

%if 0%{!?debug:1}
%{target}-strip --strip-unneeded -R.comment -R.note $RPM_BUILD_ROOT%{_dlldir}/*.dll
%{target}-strip -g -R.comment -R.note $RPM_BUILD_ROOT%{_libdir}/*.a
%endif

%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/{aclocal,doc,gtk-doc,man}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog Copyright NEWS README TODO
%{_libdir}/libxml2.dll.a
%{_libdir}/libxml2.la
%{_includedir}/libxml2
%{_pkgconfigdir}/libxml-2.0.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libxml2.a

%files dll
%defattr(644,root,root,755)
%{_dlldir}/libxml2-*.dll
%changelog
* Sat Apr 20 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/crossmingw32-libxml2.git;a=log;h=master

* Sat Apr 20 2013 Elan Ruusamäe <glen@delfi.ee> 6a93caa
- do not require pkgconfig deps either

* Sat Apr 20 2013 Jakub Bogusz <qboosh@pld-linux.org> a47449f
- updated to 2.9.1

* Sat Apr 20 2013 Elan Ruusamäe <glen@delfi.ee> fa16681
- do not provide pkgconfig deps in system namespace

* Sat Sep 15 2012 Jakub Bogusz <qboosh@pld-linux.org> bb67111
- added filterout_c

* Sat Sep 15 2012 Jakub Bogusz <qboosh@pld-linux.org> 3fc6963
- updated to 2.9.0

* Thu May 24 2012 Jakub Bogusz <qboosh@pld-linux.org> 2d77eca
- updated to 2.8.0

* Sat Nov 13 2010 Jakub Bogusz <qboosh@pld-linux.org> 4c45262
- updated to 2.7.8

* Sun Sep 19 2010 Jakub Bogusz <qboosh@pld-linux.org> 254c060
- unified MinGW32 caps

* Sun Mar 21 2010 Jakub Bogusz <qboosh@pld-linux.org> d43adb6
- updated to 2.7.7
- require zlib 1.2.4-3 for LFS support

* Sun Feb 28 2010 Artur Frysiak <artur@frysiak.net> 5d33cd6
- updated to 2.7.6 (based on libxml2.spec)

* Sun Feb 28 2010 Artur Frysiak <artur@frysiak.net> 9bba9f1
- from libxml2

* Tue Sep 02 2008 Jakub Bogusz <qboosh@pld-linux.org> 2a6005a
- obsolete

* Wed Apr 16 2008 Jakub Bogusz <qboosh@pld-linux.org> 983631f
- updated to 2.6.32

* Wed Apr 16 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 1481d31
- updated

* Mon Jan 14 2008 Jakub Bogusz <qboosh@pld-linux.org> b33e056
- updated to 2.6.31 (security fix [CVE-2007-6284])
- force %{_lib}-independent libdir

* Mon Jan 14 2008 Jakub Bogusz <qboosh@pld-linux.org> 44e1e85
- updated for 2.6.31

* Mon Sep 03 2007 Jakub Bogusz <qboosh@pld-linux.org> 277a8f2
- updated to 2.6.30
- cleanup

* Tue Aug 28 2007 Jakub Bogusz <qboosh@pld-linux.org> 5210677
- for crosscompiling use PKG_CONFIG_LIBDIR instead of PKG_CONFIG_PATH

* Sun Jun 17 2007 Jakub Bogusz <qboosh@pld-linux.org> d6d063a
- updated to 2.6.29

* Sat Apr 28 2007 Jakub Bogusz <qboosh@pld-linux.org> c2398bc
- updated to 2.6.28

